Request incidents in a different language
When requesting incidents by geospatial filters or by ID, the summary, description and typeDescription of the incident are provided in the original language of the country that the incident belongs to. If the original language isn't available, typeDescription will be provided in US English language.
To get the information in a different language, use the lang parameter, for example, lang=en-US for the US English language. See the list of supported languages in Supported translation languages.
Note
Currently, translations don't include location information and provide a generic translation without referring to any specific location.
curl -H "Authorization: Bearer $TOKEN" "https://data.traffic.hereapi.com/v7/incidents?in=circle:52.50811,13.47853;r=2000&locationReferencing=olr&lang=it-IT"{
"sourceUpdated": "2021-07-05T10:25:03Z",
"results": [
{
"location": {
"length": 259.0,
"olr": "CCkBEAAlJAmUJCVVvQAJBQQCAksACgUEAoJqAAIG/7gACQUEAgLJADAAZw=="
},
"incidentDetails": {
"id": "1606952757097313064",
"originalId": "1606952757097313064",
"startTime": "2021-05-20T09:20:46Z",
"endTime": "2022-08-31T21:59:00Z",
"entryTime": "2021-07-04T02:18:02Z",
"roadClosed": false,
"criticality": "minor",
"type": "construction",
"typeDescription": {
"value": "Lavori stradali",
"language": "it-IT"
},
"codes": [
514,
803
],
"description": {
"value": "Strada ridotta a una corsia",
"language": "it-IT"
},
"summary": {
"value": "Strada ridotta a una corsia",
"language": "it-IT"
}
}
},
{
"location": {
"length": 420.0,
"olr": "CCkBEAAlJAmVHyVVsgAJBQQDA0sACgUEA4MiAAJeAAQACQUEAwO7ADAAAA=="
},
"incidentDetails": {
"id": "2151337208072152673",
"originalId": "2151337208072152673",
"startTime": "2020-12-16T05:00:00Z",
"endTime": "2021-11-30T22:59:00Z",
"entryTime": "2021-07-04T02:18:01Z",
"roadClosed": false,
"criticality": "minor",
"type": "construction",
"typeDescription": {
"value": "Lavori stradali",
"language": "it-IT"
},
"codes": [
708,
742
],
"description": {
"value": "Semafori temporanei",
"language": "it-IT"
},
"summary": {
"value": "Semafori temporanei",
"language": "it-IT"
}
}
},
...
]
}The results array above has been truncated for readability.
If no traffic information is available at the requested location, the results will be an empty array:
{"sourceUpdated":null,"results":[]}Updated last month